Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.oscache.base.events
Class CacheGroupEvent

    java.lang.Object
      com.opensymphony.oscache.base.events.CacheEvent
          com.opensymphony.oscache.base.events.CacheGroupEvent

public final class CacheGroupEvent
extends CacheEvent

CacheGroupEvent is an event that occurs at the cache group level (Add, update, remove, flush). It contains the group name and the originating cache object.

Version:
  $Revision: 1.1 $
Author:
  Chris Miller

Field Summary

Fields inherited from class com.opensymphony.oscache.base.events.CacheEvent
`origin`

Constructor Summary
`CacheGroupEvent(Cache map, java.lang.String group)` Constructs a cache group event with no origin
`CacheGroupEvent(Cache map, java.lang.String group, java.lang.String origin)` Constructs a cache group event

Method Summary
`java.lang.String` | `getGroup()` Retrieve the cache group that the event applies to.
`Cache` | `getMap()` Retrieve the cache map where the group resides.
`java.lang.String` | `toString()`

Methods inherited from class com.opensymphony.oscache.base.events.CacheEvent
`getOrigin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheGroupEvent

    public CacheGroupEvent(Cache map,
                           java.lang.String group)

  Constructs a cache group event with no origin

Parameters:
  `map` - The cache map of the cache entry
  `group` - The cache group that the event applies to.

### CacheGroupEvent

    public CacheGroupEvent(Cache map,
                           java.lang.String group,
                           java.lang.String origin)

  Constructs a cache group event

Parameters:
  `map` - The cache map of the cache entry
  `group` - The cache group that the event applies to.
  `origin` - An optional tag that can be attached to the event to specify the event's origin. This is useful to prevent events from being fired recursively in some situations, such as when an event handler causes another event to be fired.

Method Detail

### getGroup

    public java.lang.String getGroup()

  Retrieve the cache group that the event applies to.

### getMap

    public Cache getMap()

  Retrieve the cache map where the group resides.

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| See www.opensymphony.com for more information.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD